• 赤色のリンクは、まだ日本語Codexに存在しないページ・画像です。英語版と併せてご覧ください。(詳細

このWikiはいつでも誰でも編集できます

「管理画面/ダッシュボード/更新」の版間の差分

提供: WordPress Codex 日本語版
移動先: 案内検索
(表記ゆれ)
(HelpHub 移動メッセージ)
 
1行目: 1行目:
{{管理画面ガイド|ツール}}
+
このページは https://ja.wordpress.org/support/article/dashboard-updates-screen/ へ移動しました。
{{Old||
+
* 「WordPress 日本語版」の画面表示と説明を、最新バージョンに合わせて書き換えてください。
+
}}
+
{{募集中||WordPress 日本語版 {{CurrentVersionJa}} のスクリーンショットを撮って|画像}}
+
 
+
 
+
==ツール → アップグレード==
+
 
+
<!-- [[Version 2.7|バージョン 2.7]] から、WordPress 本体を自動的にアップグレードする機能が組み込まれました。 -->この'''アップグレードツール画面'''では、WordPress本体とインストール済みプラグインの自動アップグレード機能を利用できます。この機能を使うと、ボタンをクリックするだけで<!-- とても簡単に -->最新版へアップグレードできます。
+
 
+
この画面で行なえること:
+
* [[#WordPress のアップグレード|WordPress 本体]]:
+
** 自動アップグレード処理の実行
+
** [[WordPress のアップグレード/詳細|'''手動'''アップグレード]]に使う WordPress パッケージ(zipファイル)のダウンロード
+
* [[#プラグイン|プラグイン]]:
+
** アップグレードできるプラグインの一覧と、最新版WordPress互換性情報の参照
+
** 一括(または選択)アップグレードの実行
+
 
+
普段はこのページを見に来る必要はありません。新バージョンが公開されると、管理画面の全ページにお知らせが表示されます。<br />
+
[[Image:update_now.png|「A new version of WordPress is available! Please update now」]]<br />
+
このリンクをクリックすると当画面が開きます。
+
 
+
(注)
+
* 自動アップグレード機能は'''[[Version 2.7|バージョン 2.7]] 以降でのみ実行できます'''。<!-- [[Version 2.7|2.7]] から '''2.7.1''' へのアップグレードはできますが、[[Version 2.6.5|2.6.5]]/[[:en:Version 2.6.5|en]] から [[Version 2.7|2.7]] へのアップグレードには使えません。 -->お使いになっている WordPress のバージョンが 2.6.5 以前の場合、[[WordPress のアップグレード/詳細|従来のアップグレード手順]]にて 2.7 以降へアップグレードしてください。
+
* サーバによっては自動アップグレードで問題が起きるかもしれません。
+
** あなたのウェブホストがこの本体更新機能に対応しているかどうかは、[[Core Update Host Compatibility|対応サーバ一覧]]を確認してください。
+
** PHPがセーフモードで動いている場合、事前に作業が必要です。[[セーフモードによる制限と対処方法]]を参照のこと。
+
 
+
[[Image:wpupgrade.png|640px|ツール > アップグレード画面]]<br />(WordPress 日本語版)
+
 
+
[[管理画面]]へ戻る。
+
 
+
<div id="Upgrading_WordPress">
+
==WordPress のアップグレード==
+
</div>
+
アップグレードツール画面は、新バージョンの有無によって表示が変わります。<br />「WordPress 日本語版」を使うのであれば、'''(2) では何もせず、(3) のときにアップグレードを実行します'''。(2) で実行すると英語版にアップグレードされます。
+
 
+
<gallery caption="WordPress 日本語版の例" widths=300px>
+
Image:wpupgrade-NA.png| (1) [[#No Upgrade is Available|新バージョンなし]]
+
Image:wpupgrade_up_to_En.png| (2) [[#An_Upgrade_is_Available|オリジナル(英語)版の新バージョンあり]]
+
Image:wpupgrade_up_to_Ja.png| (3) [[#An_Upgrade_is_Available|日本語版の新バージョンあり]]
+
</gallery>
+
 
+
<div id="No_Upgrade_is_Available">
+
=== 利用できるアップグレードがない場合 ===
+
</div>
+
[[Image:wpupgrade-NA.png|300px|thumb|最新版使用時(日本語版)]]
+
 
+
あなたが最新版の WordPress を使っていれば、アップグレード画面を開いたときに次のメッセージと実行ボタンが表示されます。
+
 
+
<p class="important">(注) WordPress '''2.7.x から'''アップグレードする場合、画面のバージョン表記に注意! 「'''-ja'''」は日本語版、'''無印'''はオリジナル(英語)版についての操作です。</p>
+
 
+
[[日本語で WordPress#WordPress 日本語版|WordPress 日本語版]]の画面表示:<br />
+
<div class="screen">
+
最新版の WordPress を利用中です。アップグレードの必要はありません。もしバージョン x.x–'''ja''' を再インストールしたい場合は、自動、もしくは手動でパッケージをダウンロードして再インストールしてください:
+
+
[自動再インストールを実行]  [x.x–'''ja''' をダウンロード]  [この変更を非表示にする]
+
+
最新版の WordPress を利用中です。アップグレードの必要はありません。もしバージョン x.x を再インストールしたい場合は、自動、もしくは手動でパッケージをダウンロードして再インストールしてください:
+
+
[自動再インストールを実行]  [x.x をダウンロード]  [この変更を非表示にする]
+
</div>
+
 
+
[http://wordpress.org/ WordPress](オリジナル版)の画面表示:
+
<div class="screen">
+
'''You have the latest version of WordPress. You do not need to upgrade'''
+
 
+
You have the latest version of WordPress. You do not need to upgrade. However, if you want to re-install version {{CurrentVersion}}, you can do so automatically or download the package and re-install manually:
+
+
[Re-install automatically]  [Download {{CurrentVersion}}]
+
</div>
+
 
+
==== 実行ボタン ====
+
; 自動再インストールを実行
+
: (Re-install automatically)
+
: このバージョンをインストールし直すにはこのボタンをクリックします。アップグレード処理が成功すると下記のメッセージが順に表示されます。
+
; {{CurrentVersion}}[-ja] をダウンロード
+
: (Download {{CurrentVersion}}[-ja])
+
: バージョン {{CurrentVersion}}[-ja] の zip ファイルをダウンロードするにはこのボタンをクリックします。クリックすると、あなたのコンピュータに <code>wordpress-{{CurrentVersion}}[-ja].zip</code> ファイルを保存するためのダイアログが表示されます。手動によるアップグレード方法は「[[WordPress のアップグレード/詳細]]」をお読みください。
+
<!-- 2.9 にはないようなのでコメントアウト
+
; この変更を非表示にする
+
: (Hide this upgrade)
+
: 表示されているアップグレードダイアログを非表示にします。
+
: 再び表示させるには「非表示の更新を表示する」(Show hidden updates)をクリックします。 -->
+
 
+
==== 再インストール実行時の画面表示 ====
+
<div class="screen">
+
Downloading update from <nowiki>http://</nowiki>wordpress.org/wordpress-{{CurrentVersion}}.zip
+
 
+
Unpacking the core update
+
 
+
Verifying the unpacked files
+
 
+
Installing the latest version
+
 
+
Upgrading database
+
 
+
WordPress upgraded successfully
+
</div>
+
 
+
<div id="An_Upgrade_is_Available">
+
=== アップグレードが利用できる場合 ===
+
</div>
+
 
+
<div class="important">
+
[[WordPress のアップグレード/アップグレードする前に|アップグレードする前に]]: 実行する前に、新バージョンの動作環境を確認し、バックアップを必ず取得してください。
+
</div>
+
 
+
[[Image:wpupgrade_up_to_En.png|300px|thumb|オリジナル版のみリリース時]]
+
[[Image:wpupgrade_up_to_Ja.png|300px|thumb|日本語版リリース時]]
+
 
+
WordPress のアップグレードが利用可能であれば、アップグレード画面を開いたときに次のメッセージと実行ボタンが表示されます。
+
 
+
<p class="important">(注) WordPress '''2.7.x から'''アップグレードする場合、画面のバージョン表記に注意! 「'''-ja'''」は日本語版、'''無印'''はオリジナル(英語)版についての操作です。</p>
+
 
+
'''[[日本語で WordPress#WordPress 日本語版|WordPress 日本語版]]の画面表示''':
+
<div class="screen">
+
<p style="padding: 5px; border:#E6DB55 1px solid; background-color: #fffbcc;">'''重要''': アップグレードの前に、[[WordPress のバックアップ|データベースとファイルをバックアップしてください]]。</p>
+
 
+
'''新しいバージョンの WordPress にアップグレードが可能です'''
+
 
+
バージョン x.x'''–ja''' に自動アップグレードするか、パッケージを手動でダウンロードしてインストールすることができます。
+
 
+
[自動アップグレードを実行]  [x.x'''–ja''' をダウンロード]  [この変更を非表示にする]
+
 
+
バージョン x.x に自動アップグレードするか、パッケージを手動でダウンロードしてインストールすることができます。
+
 
+
[自動アップグレードを実行]  [x.x をダウンロード]
+
</div>
+
 
+
'''[http://wordpress.org/ WordPress](オリジナル版 2.8 以降)の画面表示''':<br />
+
(注) オリジナル版を使っていて[[wp-config.php の編集#Language_and_Language_Directory|ロケール(WPLANG)]]に <code>'ja'</code> を指定している場合、日本語版の新バージョンがあると、日本語版へのアップグレードメッセージ(下記前半部分)が表示されます(バージョン表記は「{{CurrentVersion}}'''-ja'''」)。使いたい WordPress に合わせてボタンを選んでください。不要であれば [Hide this update] ボタンで非表示にできます。
+
<div class="screen">
+
<p style="padding: 5px; border:#E6DB55 1px solid; background-color: #fffbcc;">'''Important''': before upgrading, [[WordPress のバックアップ|please backup your database and files]].</p>
+
 
+
'''There is a new version of WordPress available for upgrade'''
+
 
+
You can upgrade to version {{CurrentVersion}}'''–ja''' automatically or download the package and install it manually:
+
 
+
[Upgrade Automatically]  [Download {{CurrentVersion}}–'''ja''']  [Hide this update]
+
 
+
''This localized version contains both the translation and various other localization fixes. You can skip upgrading if you want to keep your current translation.''
+
 
+
You can upgrade to version {{CurrentVersion}}–'''en_US''' automatically or download the package and install it manually:
+
 
+
[Upgrade Automatically]  [Download {{CurrentVersion}}–'''en_US''']  [Hide this update]
+
 
+
''You are about to install WordPress {{CurrentVersion}} '''in English'''. There is a chance this upgrade will break your translation. You may prefer to wait for the localized version to be released.''
+
</div>
+
 
+
==== 実行ボタン ====
+
; 自動アップグレードを実行
+
: (Upgrade Automatically)
+
: 自動アップグレード処理を開始するにはこのボタンを押します。
+
: : アップグレード開始から完了までの間、[[#自動アップグレード実行時の画面表示|後述のメッセージ]]が順に表示されます。
+
; {{CurrentVersionJa}}-'''ja''' をダウンロード
+
: (Download x.x-'''ja''')
+
: WordPress 日本語版のバージョン {{CurrentVersion}} の zip ファイルをダウンロードするにはこのボタンをクリックします。
+
: クリックすると、あなたのコンピュータに <code>wordpress-{{CurrentVersion}}.zip</code>ファイルを保存するためのダイアログが表示されます。保存先を指定してファイルを保存してください。このファイルを用いた手動アップグレード方法は「[[WordPress のアップグレード/詳細]]」をお読みください。
+
; {{CurrentVersion}}–'''en_US''' をダウンロード
+
: (Download {{CurrentVersion}}–'''en_US''')
+
: オリジナル(英語)版のバージョン x.x の zip ファイルをダウンロードするにはこのボタンをクリックします。
+
; この変更を非表示にする
+
: (Hide this update)
+
: この新バージョンについてのアップグレードダイアログを非表示にします。管理画面の各画面の上部に出ているアップグレード通知も非表示となります。
+
: 再び表示させるには「'''非表示の更新を表示する'''」(Show hidden updates)をクリックします。
+
: さらに再び非表示とするには、「'''非表示の更新を隠す'''」(Hide hidden updates)をクリックします。
+
; この更新を元に戻す
+
: (Bring back this update)
+
: 非表示にしていたアップグレード通知[[Image:update_now.png|「A new version of WordPress is available! Please update now」]]を復活させます。
+
: ダイアログを非表示にした後、「非表示の更新を表示する」(Show hidden updates)で再表示したときに現れるボタンです。
+
 
+
==== 自動アップグレード実行時の画面表示 ====
+
 
+
日本語版:
+
<div class="screen">
+
<nowiki>http://wordpress.org/wordpress-x.x.x.zip</nowiki> からアップデートをダウンロードしています
+
 
+
コアパッケージの更新ファイルを展開しています…
+
 
+
展開したファイルをチェックしています…
+
 
+
最新のバージョンをインストールしています
+
 
+
データベースをアップグレード
+
 
+
WordPress のアップグレードを完了しました。
+
</div>
+
 
+
オリジナル版:
+
<div class="screen">
+
Downloading update from <nowiki>http://</nowiki>wordpress.org/wordpress-{{CurrentVersion}}.zip
+
 
+
Unpacking the core update
+
 
+
Verifying the unpacked files
+
 
+
Installing the latest version
+
 
+
Upgrading database
+
 
+
WordPress upgraded successfully
+
</div>
+
 
+
<div id="Once_an_Update_is_Completed">
+
=== アップグレードが終わったら ===
+
</div>
+
アップグレードが成功したら、インストールしたての新バージョンについて、新機能を見直し、使っているプラグインとテーマも最新版に更新されているかどうかを確認しましょう。
+
 
+
また、<code>wp-congfig.php</code> に '''4つのセキュリティ・キー'''をまだ設定していなければ、次の要領で追加しましょう。
+
# あなたのサーバから <code>wp-config.php</code> ファイルをダウンロード
+
# [[用語集#テキストエディタ|テキストエディタ]]で開き、セキュリティ・キーの行が見つからないか値が初期値のままだったら、[[wp-config.php の編集#Security Keys|wp-config.php の編集]]の説明に従って追加/修正
+
# UTF-8 BOM なしで保存し、再びサーバへアップロード
+
 
+
== <span id="Plugins">プラグインのアップグレード</span> ==
+
 
+
サイトにインストール済みのプラグインに利用できる新バージョンがあるとき、下記の一覧表が表示されます。最新版WordPressとの互換性(対応状況)を確認し、複数のプラグインを一括してアップグレードできます。
+
 
+
この一括アップグレード機能は [[Version 2.9|WordPress 2.9]] から使えます。また、従来どおり [[管理画面#Plugins|プラグイン]] > [[Plugins Installed SubPanel|インストール済み]]画面からアップグレードすることもできます。
+
 
+
<div class="screen"><!-- 日本語版のスクリーンショットに差し替えてもOK -->
+
'''Plugins'''
+
 
+
The following plugins have new versions available. Check the ones you want to upgrade and then click "Upgrade Plugins".
+
 
+
[Upgrade Plugins]
+
 
+
{| class="list" style="border-collapse: collapse; border: 1px solid #ccc;"
+
|-
+
| □ || '''Select All'''
+
|-
+
| style="vertical-align:top" | □ || '''プラグイン名'''
+
 
+
You are running version 2.2.3. Upgrade to 2.2.7.<br />
+
Compatibility with WordPress {{CurrentVersion}}: 100% (according to its author)
+
|-
+
| style="vertical-align:top" | □ || '''プラグイン名'''
+
 
+
You are running version 1.5.8. Upgrade to 1.6.3.<br />
+
Compatibility with WordPress {{CurrentVersion}}: 100% (3 "works" votes out of 3 total)
+
|-
+
| style="vertical-align:top" | □ || '''プラグイン名'''
+
 
+
Let It Snow!You are running version 1.3. Upgrade to 2.0.<br />
+
Compatibility with WordPress {{CurrentVersion}}: 91% (10 "works" votes out of 11 total)
+
|-
+
| style="vertical-align:top" | □ || '''プラグイン名'''
+
 
+
You are running version 1.2.3. Upgrade to 1.2.4.<br />
+
Compatibility with WordPress {{CurrentVersion}}: 0% (0 "works" votes out of 1 total)
+
|-
+
| style="vertical-align:top" | □ || '''プラグイン名'''
+
 
+
You are running version 2.22.6. Upgrade to 2.50.<br />
+
Compatibility with WordPress {{CurrentVersion}}: Unknown
+
|-
+
| □ || '''Select All'''
+
|}
+
 
+
[Upgrade Plugins]
+
</div>
+
 
+
プラグインをアップグレードするには、アップグレードしたいプラグインにチェックを入れ、[Upgrade Plugins] ボタンをクリックします。
+
* 全てのプラグインをアップグレードするには「Select All」にチェック(チェックボックス(□)をクリックして選択)
+
* 一部のプラグインをアップグレードするには、そのプラグインにチェック
+
 
+
<div id="Troubleshooting">
+
==トラブルシューティング==
+
</div>
+
 
+
<div id="Download failed">
+
=== ダウンロード失敗 ===
+
</div>
+
; 問題点 : 自動アップグレードを選んだ後、次のメッセージが表示されます。
+
 
+
Downloading update from http://wordpress.org/wordpress-x.x.zip
+
+
Download failed.: Could not open handle for fopen() to http://wordpress.org/wordpress-x.x.zip
+
+
Installation Failed
+
 
+
または
+
 
+
Downloading update from http://wordpress.org/wordpress-x.x.zip
+
+
Download failed.: name lookup timed out
+
+
Installation Failed
+
 
+
; 解決策 : 正しくインターネットに接続していることを確認した上で、再度、自動アップグレードを実行してください。
+
 
+
<div id="WordPress update has failed to complete">
+
=== WordPress の更新が完了しない ===
+
</div>
+
 
+
; 問題点 : アップグレードを実行し「WordPress upgraded successfully」というメッセージが表示されましたが、まだ次のメッセージが表示されています。<pre class="screen">An automated WordPress update has failed to complete - please attempt the update again now.</pre>
+
; 解決策 : WordPress のルート(ベース)ディレクトリに <code>.maintenance</code> ファイルがあれば削除し、再度アップグレードを実行してください。
+
 
+
=== 「接続情報」という画面が表示される ===
+
 
+
;Problem: After clicking on "automatic upgrade" you get a dialog box asking for [[User:Bono/管理画面/Connection Information|"Connection Information"]]. And, no matter what you enter, you continue to get errors.
+
 
+
;Solution: Make sure that your entire wordpress directory is owned by the username under which your Apache server runs.  For example, if your server runs as https, and your files live in /var/wordpress do a "chown -R apache.apache /var/wordpress."  Note that you might want to edit some permissions for security purposes, in particular a chmod 640 on wp-config.php, to protect access information to your database.
+
 
+
=== Warning: SAFE MODE Restriction in effect. が表示される ===
+
 
+
; 問題点 : 「自動アップグレード」をクリックすると、「Warning: touch() [function.touch]: SAFE MODE Restriction in effect.」などの警告メッセージが表示されます。
+
; 解決策 : あなたのサーバはPHPがセーフモードで動作しています。[[セーフモードによる制限と対処方法]]を読み、処置を行ってから、再び自動アップグレードを行なってください。
+
 
+
== <span id="FAQ">FAQ - よくある質問と回答</span> ==
+
* [[Version 2.7#Steps_performed_during_upgrade|自動アップグレード中に何が行なわれますか?]]
+
* [[FAQ/インストール#Do_I_need_to_deactivate_plugins_before_using_the_core_update_option.3F|コアアップグレード(自動アップグレード)を実行する前に、プラグインを無効化する必要はありますか? ]]
+
* [[FAQ/インストール#The_core_upgrade_is_not_working.2C_what_can_I_do.3F|コアアップグレードが動作しません。どうしたらいい?]]
+
* [[セーフモードによる制限と対処方法#コアアップグレード|PHP がセーフモードで動作しているサーバの対処方法]]
+
* [[FAQ/インストール|アップグレードに関するその他の FAQ]]
+
* [[WordPress のアップグレード/詳細#トラブルシューティング|その他のトラブルシューティング]]
+
 
+
 
+
[[管理画面]]へ戻る。
+
 
+
== 変更履歴 ==
+
* [[Version 2.9|2.9]] : [[#Plugins|プラグイン]]の一括アップグレードができるようになりました。
+
** アップグレード可能なプラグインを一覧表示、最新版WordPress対応状況を表示
+
** 2クリックで一括アップグレード
+
* [[Version 2.8|2.8]] : WordPressオリジナル版についてのメッセージ・ボタン表示が、「version 2.9–'''en_US'''」「Download 2.9–'''en_US'''」のように英語版と明記されるようになりました。(従来は無印で「version 2.9」「Download 2.9」)
+
* [[Version 2.7|2.7]] : 新機能
+
 
+
{{原文|Tools Upgrade SubPanel|75627}}<!-- 20:34, 10 July 2009 Mfidelman 版 -->
+
 
+
== 関連ページ ==
+
* [[Core Update Host Compatibility|コアアップグレード機能対応サーバ一覧]]
+
* [[Files Automatically Replaced by Core Upgrade|コアアップグレードにより自動的に差し替えられるファイル一覧]]
+
 
+
{{Administration Screens Footer}}
+
 
+
 
+
{{DEFAULTSORT:かんりはねるつうるあつふくれえと}}
+
[[Category:管理画面|あつふくれえと]]
+
[[Category:初心者向けトピック]]
+
[[Category:アップグレード]]
+
[[Category:wp2.7]]
+
[[Category:wp2.8]]
+
[[Category:wp2.9]]
+
 
+
[[en:Tools Upgrade SubPanel]]
+

2020年4月3日 (金) 23:54時点における最新版

このページは https://ja.wordpress.org/support/article/dashboard-updates-screen/ へ移動しました。